Subject: bug#22457: 24.5; [PATCH] `dired-mark-if' should not count non-changes

From: Michael Heerdegen <[email-masked]>
Date: Wed, 26 Jun 2019 00:47:00 +0200

Lars Ingebrigtsen <[email-masked]> writes:

> --
> *** The marking commands now report how many files were marked by the
> command itself, not how many files are marked in total.
> --

I don't think this exactly describes what the patch changed: it is not
about new vs total marks, but about marks of files that were already
marked before, right?

> Perhaps somebody will want to weigh in here; feel free to revert the
> commit if this is felt to be a confusing change.

IIUC: Maybe we could add to the summary message something like
"(N already were marked)" or so if a command finds existent marks on files
to be marked?  That might be useful information, even independent from
this change, because it might also be a hint for a pilot error.

Michael.